package eu.hocke.roman.rquiz;

import android.content.Context;
import android.content.Intent;
import android.content.res.XmlResourceParser;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.LinearLayout;

public class QuizSelectActivity extends AppCompatActivity {

    public final static String EXTRA_QUIZ_ID = "eu.hocke.roman.rquiz.QUIZ_ID";

    public final static int quizes[] = {
        R.xml.quiz_red_dwarf,
        R.xml.quiz_colors
    };

    @Override
    protected void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_quiz_select);

        Context context = getApplicationContext();
        LinearLayout parent = (LinearLayout)findViewById(R.id.quizSelectButtonGroup);

        for (int i = 0; i < quizes.length; i++) {

            String title = null;
            XmlResourceParser parser = getResources().getXml(quizes[i]);

            try {

                title = QuizActivity.parseTitleFromXml(parser);
            }
            catch (Exception e) {

                e.printStackTrace();
            }

            QuizSelectButton button = new QuizSelectButton(context);
            button.setText(title == null ? "?" : title);
            button.setResourceId(quizes[i]);
            button.setOnClickListener(new View.OnClickListener() {

                public void onClick(View v) {

                    Intent intent = new Intent(QuizSelectActivity.this, QuizActivity.class);
                    intent.putExtra(EXTRA_QUIZ_ID, ((QuizSelectButton)v).getResourceId());
                    startActivity(intent);
                }
            });
            parent.addView(button);
        }
    }

    public void quizSelectClicked(View view) {

        Intent intent = new Intent(this, QuizActivity.class);
        intent.putExtra(EXTRA_QUIZ_ID, R.xml.quiz_red_dwarf);
        startActivity(intent);
    }
}
